module Parser
  class Exercise < Base

    def initialize(url, options)
      @delay = 5
      super
    end
    def next_page
      super(:class => 'nextpostslink')
    end

    def parse_page
      #until next page exists
      links = @source.links_with(:class => 'readmore')
      links.map do |link|
        page = link.click
        article = page.search('.post')
        title = article.search('.title').text()
        wrapper = article.search('.entry')
        wrapper.search('a').remove_attr('href')
        poster_image = wrapper.search('img').first.attributes['src'].value
        start_element = wrapper.at('p:nth-child(2)')
        end_element = wrapper.xpath("//comment()[. = ' adman_adcode_after ']").first
        next if start_element.next.nil?
        content = collect_between(start_element,end_element).map(&:to_s).join
        next if content.nil?
        {title: title, content: content, poster_image: poster_image}
      end.compact

    end

  end
end